using System;
using System.Collections.Generic;
using System.Text;

#pragma warning disable CS1591

namespace Spyro.Sabbatic.Model.Bd 
{
	public static partial class Sabbatic_pkg
	{
					#region ACUM_IVA_ACUMULA
			
			[Nombre("SABBATIC_PKG.ACUM_IVA_ACUMULA")]
						public delegate void __ACUM_IVA_ACUMULA_VVNNV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string p_cta, 
							[VARCHAR2(4000)] string p_amplcpto, 
							[NUMBER] decimal? p_importe, 
							[NUMBER] decimal? p_importe_ext, 
							[VARCHAR2(4)] string p_cfcptos);

						/// <summary>
			/// Llama a ACUM_IVA_ACUMULA.
						/// </summary>
			public static void ACUM_IVA_ACUMULA(
				System.Data.IDbTransaction p_transaccion, 
				string p_cta, 
				string p_amplcpto, 
				decimal? p_importe, 
				decimal? p_importe_ext, 
				string p_cfcptos,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__ACUM_IVA_ACUMULA_VVNNV v_acum_iva_acumula;
				try {
					v_acum_iva_acumula = Funcion.Crear<__ACUM_IVA_ACUMULA_VVNNV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.ACUM_IVA_ACUMULA", ex);
								}
								try {
				v_acum_iva_acumula(p_transaccion, 
					p_cta, 
					p_amplcpto, 
					p_importe, 
					p_importe_ext, 
					p_cfcptos);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.ACUM_IVA_ACUMULA", ex);
								}
							}
			
			
			#endregion

					#region COMPON_CTA
			
			[Nombre("SABBATIC_PKG.COMPON_CTA")]
						[return: VARCHAR2(4000)]
						public delegate string __COMPON_CTA_VVVNNVVVVV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4)] string p_cfatotip_cod, 
							[NUMBER] int? p_linea, 
							[NUMBER] decimal? p_valor, 
							[VARCHAR2(4000)] string p_tipo_gasto, 
							[VARCHAR2(4000)] string p_ticket_user, 
							[VARCHAR2(4000)] string p_fpago_sab, 
							[VARCHAR2(15)] string p_cfcta_fac, 
							[VARCHAR2(4000)] string p_modalidad_gasto);

						/// <summary>
			/// Llama a COMPON_CTA.
						/// </summary>
			public static string COMPON_CTA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_cfatotip_cod, 
				int? p_linea, 
				decimal? p_valor, 
				string p_tipo_gasto, 
				string p_ticket_user, 
				string p_fpago_sab, 
				string p_cfcta_fac, 
				string p_modalidad_gasto,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__COMPON_CTA_VVVNNVVVVV v_compon_cta;
				try {
					v_compon_cta = Funcion.Crear<__COMPON_CTA_VVVNNVVVVV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.COMPON_CTA", ex);
								}
									string v_resultado;
								try {
				v_resultado = v_compon_cta(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_cfatotip_cod, 
					p_linea, 
					p_valor, 
					p_tipo_gasto, 
					p_ticket_user, 
					p_fpago_sab, 
					p_cfcta_fac, 
					p_modalidad_gasto);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.COMPON_CTA", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region CONTABILIZA_AGRUPADO
			
			[Nombre("SABBATIC_PKG.CONTABILIZA_AGRUPADO")]
						public delegate void __CONTABILIZA_AGRUPADO_VVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4000)] out string p_mensaje_error);

						/// <summary>
			/// Llama a CONTABILIZA_AGRUPADO.
							/// AVISO: El ultimo parametro parece un mensaje a controlar en caso de que
				/// produzca una situacion de error. Recuerda controlarlo o utiliza la versión sobrecargada (sin el
				/// parametro p_mensaje_error) para que se eleve una excepcion de forma automatica.
						/// </summary>
			public static void CONTABILIZA_AGRUPADO(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				out string p_mensaje_error,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CONTABILIZA_AGRUPADO_VVoV v_contabiliza_agrupado;
				try {
					v_contabiliza_agrupado = Funcion.Crear<__CONTABILIZA_AGRUPADO_VVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.CONTABILIZA_AGRUPADO", ex);
								}
								try {
				v_contabiliza_agrupado(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					out p_mensaje_error);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.CONTABILIZA_AGRUPADO", ex);
								}
							}
			
							/// <summary>
				/// Llama a CONTABILIZA_AGRUPADO y eleva una excepción en caso de error. Utiliza la versión 
				/// sobrecargada (con el parámetro p_mensaje_error) para llamar a la versión original.
				/// </summary>
				public static void CONTABILIZA_AGRUPADO(
					System.Data.IDbTransaction p_transaccion, 
					[VARCHAR2(4)] string p_empgrupo_cod, 
					[VARCHAR2(4)] string p_emp_cod)
				{
					
					CONTABILIZA_AGRUPADO(p_transaccion, 
						p_empgrupo_cod, 
						p_emp_cod,
						out var p_mensaje_error);

					if (!string.IsNullOrEmpty(p_mensaje_error))
											throw new SpyroException(p_mensaje_error, "SABBATIC_PKG.CONTABILIZA_AGRUPADO");
					
										
									}	
			
			#endregion

					#region CONTABILIZA_FACTURA
			
			[Nombre("SABBATIC_PKG.CONTABILIZA_FACTURA")]
						public delegate void __CONTABILIZA_FACTURA_VVVVVVVVVNVDVVVVVNNDVVoVoVoNoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4000)] string p_tipo_gasto, 
							[VARCHAR2(4000)] string p_modalidad_gasto, 
							[VARCHAR2(4000)] string p_ticket_user, 
							[VARCHAR2(4000)] string p_ticket_notes, 
							[VARCHAR2(4000)] string p_fpago_sab, 
							[VARCHAR2(2)] string p_cfivalibro_cod, 
							[VARCHAR2(6)] string p_factutipo, 
							[NUMBER] int? p_n_factura, 
							[VARCHAR2(2)] string p_cfivaclase_cod, 
							[DATE] DateTime? p_f_factura, 
							[VARCHAR2(4)] string p_mon_fac, 
							[VARCHAR2(6)] string p_f_pago_cod, 
							[VARCHAR2(4)] string p_cfatotip_cod, 
							[VARCHAR2(4)] string p_ejerc, 
							[VARCHAR2(4)] string p_diari, 
							[NUMBER] int? p_refer, 
							[NUMBER] int? p_atolin, 
							[DATE] DateTime? p_f_atocab, 
							[VARCHAR2(4000)] string p_cfcta_fac, 
							[VARCHAR2(4000)] string p_cfcta_lin, 
							[VARCHAR2(4)] out string p_ejerc_cod, 
							[VARCHAR2(4)] out string p_diari_cod, 
							[NUMBER] out int? p_refer_cod, 
							[VARCHAR2(4000)] out string p_estado_gasto, 
							[VARCHAR2(4000)] out string p_mensaje_error);

						/// <summary>
			/// Llama a CONTABILIZA_FACTURA.
							/// AVISO: El ultimo parametro parece un mensaje a controlar en caso de que
				/// produzca una situacion de error. Recuerda controlarlo o utiliza la versión sobrecargada (sin el
				/// parametro p_mensaje_error) para que se eleve una excepcion de forma automatica.
						/// </summary>
			public static void CONTABILIZA_FACTURA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_tipo_gasto, 
				string p_modalidad_gasto, 
				string p_ticket_user, 
				string p_ticket_notes, 
				string p_fpago_sab, 
				string p_cfivalibro_cod, 
				string p_factutipo, 
				int? p_n_factura, 
				string p_cfivaclase_cod, 
				DateTime? p_f_factura, 
				string p_mon_fac, 
				string p_f_pago_cod, 
				string p_cfatotip_cod, 
				string p_ejerc, 
				string p_diari, 
				int? p_refer, 
				int? p_atolin, 
				DateTime? p_f_atocab, 
				string p_cfcta_fac, 
				string p_cfcta_lin, 
				out string p_ejerc_cod, 
				out string p_diari_cod, 
				out int? p_refer_cod, 
				out string p_estado_gasto, 
				out string p_mensaje_error,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CONTABILIZA_FACTURA_VVVVVVVVVNVDVVVVVNNDVVoVoVoNoVoV v_contabiliza_factura;
				try {
					v_contabiliza_factura = Funcion.Crear<__CONTABILIZA_FACTURA_VVVVVVVVVNVDVVVVVNNDVVoVoVoNoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.CONTABILIZA_FACTURA", ex);
								}
								try {
				v_contabiliza_factura(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_tipo_gasto, 
					p_modalidad_gasto, 
					p_ticket_user, 
					p_ticket_notes, 
					p_fpago_sab, 
					p_cfivalibro_cod, 
					p_factutipo, 
					p_n_factura, 
					p_cfivaclase_cod, 
					p_f_factura, 
					p_mon_fac, 
					p_f_pago_cod, 
					p_cfatotip_cod, 
					p_ejerc, 
					p_diari, 
					p_refer, 
					p_atolin, 
					p_f_atocab, 
					p_cfcta_fac, 
					p_cfcta_lin, 
					out p_ejerc_cod, 
					out p_diari_cod, 
					out p_refer_cod, 
					out p_estado_gasto, 
					out p_mensaje_error);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.CONTABILIZA_FACTURA", ex);
								}
							}
			
							/// <summary>
				/// Llama a CONTABILIZA_FACTURA y eleva una excepción en caso de error. Utiliza la versión 
				/// sobrecargada (con el parámetro p_mensaje_error) para llamar a la versión original.
				/// </summary>
				public static void CONTABILIZA_FACTURA(
					System.Data.IDbTransaction p_transaccion, 
					[VARCHAR2(4)] string p_empgrupo_cod, 
					[VARCHAR2(4)] string p_emp_cod, 
					[VARCHAR2(4000)] string p_tipo_gasto, 
					[VARCHAR2(4000)] string p_modalidad_gasto, 
					[VARCHAR2(4000)] string p_ticket_user, 
					[VARCHAR2(4000)] string p_ticket_notes, 
					[VARCHAR2(4000)] string p_fpago_sab, 
					[VARCHAR2(2)] string p_cfivalibro_cod, 
					[VARCHAR2(6)] string p_factutipo, 
					[NUMBER] int? p_n_factura, 
					[VARCHAR2(2)] string p_cfivaclase_cod, 
					[DATE] DateTime? p_f_factura, 
					[VARCHAR2(4)] string p_mon_fac, 
					[VARCHAR2(6)] string p_f_pago_cod, 
					[VARCHAR2(4)] string p_cfatotip_cod, 
					[VARCHAR2(4)] string p_ejerc, 
					[VARCHAR2(4)] string p_diari, 
					[NUMBER] int? p_refer, 
					[NUMBER] int? p_atolin, 
					[DATE] DateTime? p_f_atocab, 
					[VARCHAR2(4000)] string p_cfcta_fac, 
					[VARCHAR2(4000)] string p_cfcta_lin, 
					[VARCHAR2(4)] out string p_ejerc_cod, 
					[VARCHAR2(4)] out string p_diari_cod, 
					[NUMBER] out int? p_refer_cod, 
					[VARCHAR2(4000)] out string p_estado_gasto)
				{
					
					CONTABILIZA_FACTURA(p_transaccion, 
						p_empgrupo_cod, 
						p_emp_cod, 
						p_tipo_gasto, 
						p_modalidad_gasto, 
						p_ticket_user, 
						p_ticket_notes, 
						p_fpago_sab, 
						p_cfivalibro_cod, 
						p_factutipo, 
						p_n_factura, 
						p_cfivaclase_cod, 
						p_f_factura, 
						p_mon_fac, 
						p_f_pago_cod, 
						p_cfatotip_cod, 
						p_ejerc, 
						p_diari, 
						p_refer, 
						p_atolin, 
						p_f_atocab, 
						p_cfcta_fac, 
						p_cfcta_lin, 
						out var v_copia_p_ejerc_cod, 
						out var v_copia_p_diari_cod, 
						out var v_copia_p_refer_cod, 
						out var v_copia_p_estado_gasto,
						out var p_mensaje_error);

					if (!string.IsNullOrEmpty(p_mensaje_error))
											throw new SpyroException(p_mensaje_error, "SABBATIC_PKG.CONTABILIZA_FACTURA");
					
											p_ejerc_cod = v_copia_p_ejerc_cod;
				    						p_diari_cod = v_copia_p_diari_cod;
				    						p_refer_cod = v_copia_p_refer_cod;
				    						p_estado_gasto = v_copia_p_estado_gasto;
				    					
									}	
			
			#endregion

					#region CONTABILIZA_GASTO
			
			[Nombre("SABBATIC_PKG.CONTABILIZA_GASTO")]
						public delegate void __CONTABILIZA_GASTO_NVVVVVVVVVVVNNVDVoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_ticket_id, 
							[VARCHAR2(4000)] string p_ticket_notes, 
							[VARCHAR2(4000)] string p_tipo_gasto, 
							[VARCHAR2(4000)] string p_ticket_user, 
							[VARCHAR2(4000)] string p_image_url, 
							[VARCHAR2(4000)] string p_forma_pago, 
							[VARCHAR2(4000)] string p_modalidad_gasto, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(400)] string p_cfatotip_cod, 
							[VARCHAR2(4)] string p_monedas_cod, 
							[VARCHAR2(4)] string p_moneda_emp, 
							[NUMBER(14, 2)] decimal? p_i_monemp, 
							[NUMBER(14, 2)] decimal? p_i_monext, 
							[VARCHAR2(400)] string p_cfcta_gto, 
							[DATE] DateTime? p_f_atocab, 
							[VARCHAR2(4)] string p_cfejerc_cod, 
							[VARCHAR2(4000)] out string p_estado_gasto, 
							[VARCHAR2(4000)] out string p_mensaje_error);

						/// <summary>
			/// Llama a CONTABILIZA_GASTO.
							/// AVISO: El ultimo parametro parece un mensaje a controlar en caso de que
				/// produzca una situacion de error. Recuerda controlarlo o utiliza la versión sobrecargada (sin el
				/// parametro p_mensaje_error) para que se eleve una excepcion de forma automatica.
						/// </summary>
			public static void CONTABILIZA_GASTO(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_ticket_id, 
				string p_ticket_notes, 
				string p_tipo_gasto, 
				string p_ticket_user, 
				string p_image_url, 
				string p_forma_pago, 
				string p_modalidad_gasto, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_cfatotip_cod, 
				string p_monedas_cod, 
				string p_moneda_emp, 
				decimal? p_i_monemp, 
				decimal? p_i_monext, 
				string p_cfcta_gto, 
				DateTime? p_f_atocab, 
				string p_cfejerc_cod, 
				out string p_estado_gasto, 
				out string p_mensaje_error,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__CONTABILIZA_GASTO_NVVVVVVVVVVVNNVDVoVoV v_contabiliza_gasto;
				try {
					v_contabiliza_gasto = Funcion.Crear<__CONTABILIZA_GASTO_NVVVVVVVVVVVNNVDVoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.CONTABILIZA_GASTO", ex);
								}
								try {
				v_contabiliza_gasto(p_transaccion, 
					p_ticket_id, 
					p_ticket_notes, 
					p_tipo_gasto, 
					p_ticket_user, 
					p_image_url, 
					p_forma_pago, 
					p_modalidad_gasto, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_cfatotip_cod, 
					p_monedas_cod, 
					p_moneda_emp, 
					p_i_monemp, 
					p_i_monext, 
					p_cfcta_gto, 
					p_f_atocab, 
					p_cfejerc_cod, 
					out p_estado_gasto, 
					out p_mensaje_error);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.CONTABILIZA_GASTO", ex);
								}
							}
			
							/// <summary>
				/// Llama a CONTABILIZA_GASTO y eleva una excepción en caso de error. Utiliza la versión 
				/// sobrecargada (con el parámetro p_mensaje_error) para llamar a la versión original.
				/// </summary>
				public static void CONTABILIZA_GASTO(
					System.Data.IDbTransaction p_transaccion, 
					[NUMBER] decimal? p_ticket_id, 
					[VARCHAR2(4000)] string p_ticket_notes, 
					[VARCHAR2(4000)] string p_tipo_gasto, 
					[VARCHAR2(4000)] string p_ticket_user, 
					[VARCHAR2(4000)] string p_image_url, 
					[VARCHAR2(4000)] string p_forma_pago, 
					[VARCHAR2(4000)] string p_modalidad_gasto, 
					[VARCHAR2(4)] string p_empgrupo_cod, 
					[VARCHAR2(4)] string p_emp_cod, 
					[VARCHAR2(400)] string p_cfatotip_cod, 
					[VARCHAR2(4)] string p_monedas_cod, 
					[VARCHAR2(4)] string p_moneda_emp, 
					[NUMBER(14, 2)] decimal? p_i_monemp, 
					[NUMBER(14, 2)] decimal? p_i_monext, 
					[VARCHAR2(400)] string p_cfcta_gto, 
					[DATE] DateTime? p_f_atocab, 
					[VARCHAR2(4)] string p_cfejerc_cod, 
					[VARCHAR2(4000)] out string p_estado_gasto)
				{
					
					CONTABILIZA_GASTO(p_transaccion, 
						p_ticket_id, 
						p_ticket_notes, 
						p_tipo_gasto, 
						p_ticket_user, 
						p_image_url, 
						p_forma_pago, 
						p_modalidad_gasto, 
						p_empgrupo_cod, 
						p_emp_cod, 
						p_cfatotip_cod, 
						p_monedas_cod, 
						p_moneda_emp, 
						p_i_monemp, 
						p_i_monext, 
						p_cfcta_gto, 
						p_f_atocab, 
						p_cfejerc_cod, 
						out var v_copia_p_estado_gasto,
						out var p_mensaje_error);

					if (!string.IsNullOrEmpty(p_mensaje_error))
											throw new SpyroException(p_mensaje_error, "SABBATIC_PKG.CONTABILIZA_GASTO");
					
											p_estado_gasto = v_copia_p_estado_gasto;
				    					
									}	
			
			#endregion

					#region DAME_DATOS_TICKET
			
			[Nombre("SABBATIC_PKG.DAME_DATOS_TICKET")]
						public delegate void __DAME_DATOS_TICKET_VNoDoNoVoVoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(20)] string p_company_nif, 
							[NUMBER] int? p_ticket_id, 
							[DATE] out DateTime? p_expense_date, 
							[NUMBER(14, 2)] out decimal? p_ticket_total, 
							[VARCHAR2(40)] out string p_prove_nif, 
							[VARCHAR2(200)] out string p_nombre_nif, 
							[VARCHAR2(4)] out string p_estado_integ, 
							[VARCHAR2(4000)] out string p_mensaje);

						/// <summary>
			/// Llama a DAME_DATOS_TICKET.
						/// </summary>
			public static void DAME_DATOS_TICKET(
				System.Data.IDbTransaction p_transaccion, 
				string p_company_nif, 
				int? p_ticket_id, 
				out DateTime? p_expense_date, 
				out decimal? p_ticket_total, 
				out string p_prove_nif, 
				out string p_nombre_nif, 
				out string p_estado_integ, 
				out string p_mensaje,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_DATOS_TICKET_VNoDoNoVoVoVoV v_dame_datos_ticket;
				try {
					v_dame_datos_ticket = Funcion.Crear<__DAME_DATOS_TICKET_VNoDoNoVoVoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_DATOS_TICKET", ex);
								}
								try {
				v_dame_datos_ticket(p_transaccion, 
					p_company_nif, 
					p_ticket_id, 
					out p_expense_date, 
					out p_ticket_total, 
					out p_prove_nif, 
					out p_nombre_nif, 
					out p_estado_integ, 
					out p_mensaje);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_DATOS_TICKET", ex);
								}
							}
			
			
			#endregion

					#region DAME_ESTADISTICA_MENSUAL
			 
					public interface IDAME_ESTADISTICA_MENSUAL 
{
			string MES { get; }
			decimal? TOTAL { get; }
	}
			
			[Nombre("SABBATIC_PKG.DAME_ESTADISTICA_MENSUAL")]
						public delegate System.Collections.Generic.IEnumerable<IDAME_ESTADISTICA_MENSUAL> __DAME_ESTADISTICA_MENSUAL_VVVVDD(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(20)] string p_company_nif, 
							[VARCHAR2(4)] string p_estado_integ, 
							[DATE] DateTime? p_f_desde, 
							[DATE] DateTime? p_f_hasta);

						/// <summary>
			/// Llama a DAME_ESTADISTICA_MENSUAL.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDAME_ESTADISTICA_MENSUAL> DAME_ESTADISTICA_MENSUAL(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_company_nif, 
				string p_estado_integ, 
				DateTime? p_f_desde, 
				DateTime? p_f_hasta,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_ESTADISTICA_MENSUAL_VVVVDD v_dame_estadistica_mensual;
				try {
					v_dame_estadistica_mensual = Funcion.Crear<__DAME_ESTADISTICA_MENSUAL_VVVVDD>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_ESTADISTICA_MENSUAL", ex);
								}
									System.Collections.Generic.IEnumerable<IDAME_ESTADISTICA_MENSUAL> v_resultado;
								try {
				v_resultado = v_dame_estadistica_mensual(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_company_nif, 
					p_estado_integ, 
					p_f_desde, 
					p_f_hasta);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_ESTADISTICA_MENSUAL", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_ESTADISTICA_MENSUAL_P
			 
					public interface IDAME_ESTADISTICA_MENSUAL_P 
{
			string MES { get; }
			decimal? TOTAL { get; }
	}
			
			[Nombre("SABBATIC_PKG.DAME_ESTADISTICA_MENSUAL_P")]
						public delegate System.Collections.Generic.IEnumerable<IDAME_ESTADISTICA_MENSUAL_P> __DAME_ESTADISTICA_MENSUAL_P_VVVVDD(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(20)] string p_company_nif, 
							[VARCHAR2(4)] string p_estado_integ, 
							[DATE] DateTime? p_f_desde, 
							[DATE] DateTime? p_f_hasta);

						/// <summary>
			/// Llama a DAME_ESTADISTICA_MENSUAL_P.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDAME_ESTADISTICA_MENSUAL_P> DAME_ESTADISTICA_MENSUAL_P(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_company_nif, 
				string p_estado_integ, 
				DateTime? p_f_desde, 
				DateTime? p_f_hasta,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_ESTADISTICA_MENSUAL_P_VVVVDD v_dame_estadistica_mensual_p;
				try {
					v_dame_estadistica_mensual_p = Funcion.Crear<__DAME_ESTADISTICA_MENSUAL_P_VVVVDD>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_ESTADISTICA_MENSUAL_P", ex);
								}
									System.Collections.Generic.IEnumerable<IDAME_ESTADISTICA_MENSUAL_P> v_resultado;
								try {
				v_resultado = v_dame_estadistica_mensual_p(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_company_nif, 
					p_estado_integ, 
					p_f_desde, 
					p_f_hasta);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_ESTADISTICA_MENSUAL_P", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_LISTADO_EMPRESAS
			 
					public interface IDAME_LISTADO_EMPRESAS 
{
			string EMPGRUPO_COD { get; }
			string EMPGRUPO_NOMBRE { get; }
			string COD { get; }
			string DESCRIP { get; }
			string RSOCIAL_COD { get; }
	}
			
			[Nombre("SABBATIC_PKG.DAME_LISTADO_EMPRESAS")]
						public delegate System.Collections.Generic.IEnumerable<IDAME_LISTADO_EMPRESAS> __DAME_LISTADO_EMPRESAS_V(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a DAME_LISTADO_EMPRESAS.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDAME_LISTADO_EMPRESAS> DAME_LISTADO_EMPRESAS(
				System.Data.IDbTransaction p_transaccion, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_LISTADO_EMPRESAS_V v_dame_listado_empresas;
				try {
					v_dame_listado_empresas = Funcion.Crear<__DAME_LISTADO_EMPRESAS_V>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_LISTADO_EMPRESAS", ex);
								}
									System.Collections.Generic.IEnumerable<IDAME_LISTADO_EMPRESAS> v_resultado;
								try {
				v_resultado = v_dame_listado_empresas(p_transaccion, 
					p_opcion);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_LISTADO_EMPRESAS", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_N_TICKETS_ESTADO
			
			[Nombre("SABBATIC_PKG.DAME_N_TICKETS_ESTADO")]
						[return: NUMBER]
						public delegate decimal? __DAME_N_TICKETS_ESTADO_VVDV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(20)] string p_company_nif, 
							[VARCHAR2(100)] string p_ticket_user, 
							[DATE] DateTime? p_f_descarga, 
							[VARCHAR2(4)] string p_estado_integ);

						/// <summary>
			/// Llama a DAME_N_TICKETS_ESTADO.
						/// </summary>
			public static decimal? DAME_N_TICKETS_ESTADO(
				System.Data.IDbTransaction p_transaccion, 
				string p_company_nif, 
				string p_ticket_user, 
				DateTime? p_f_descarga, 
				string p_estado_integ,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_N_TICKETS_ESTADO_VVDV v_dame_n_tickets_estado;
				try {
					v_dame_n_tickets_estado = Funcion.Crear<__DAME_N_TICKETS_ESTADO_VVDV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_N_TICKETS_ESTADO", ex);
								}
									decimal? v_resultado;
								try {
				v_resultado = v_dame_n_tickets_estado(p_transaccion, 
					p_company_nif, 
					p_ticket_user, 
					p_f_descarga, 
					p_estado_integ);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_N_TICKETS_ESTADO", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_SABTICKINTEG
			 
					public interface IDAME_SABTICKINTEG 
{
			int? TICKET_ID { get; }
			DateTime? F_DESCARGA { get; }
			string ESTADO_INTEG { get; }
			string MENSAJE { get; }
			string COMPANY_NIF { get; }
			string TICKET_USER { get; }
			DateTime? EXPENSE_DATE { get; }
			string TIPO_GASTO { get; }
			decimal? TICKET_TOTAL { get; }
			string TICKET_STATUS { get; }
			string TICKET_LABELS { get; }
			string TICKET_NOTES { get; }
			string IMAGE_URL { get; }
			string FORMA_PAGO { get; }
			string GPOFTIP_COD { get; }
			int? N_ORDEN { get; }
			int? N_FASE { get; }
	}
			
			[Nombre("SABBATIC_PKG.DAME_SABTICKINTEG")]
						public delegate System.Collections.Generic.IEnumerable<IDAME_SABTICKINTEG> __DAME_SABTICKINTEG_VDDDDV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(20)] string p_company_nif, 
							[DATE] DateTime? p_f_descarga_desde, 
							[DATE] DateTime? p_f_descarga_hasta, 
							[DATE] DateTime? p_f_desde, 
							[DATE] DateTime? p_f_hasta, 
							[VARCHAR2(4000)] string p_estado_integ);

						/// <summary>
			/// Llama a DAME_SABTICKINTEG.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDAME_SABTICKINTEG> DAME_SABTICKINTEG(
				System.Data.IDbTransaction p_transaccion, 
				string p_company_nif, 
				DateTime? p_f_descarga_desde, 
				DateTime? p_f_descarga_hasta, 
				DateTime? p_f_desde, 
				DateTime? p_f_hasta, 
				string p_estado_integ,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_SABTICKINTEG_VDDDDV v_dame_sabtickinteg;
				try {
					v_dame_sabtickinteg = Funcion.Crear<__DAME_SABTICKINTEG_VDDDDV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_SABTICKINTEG", ex);
								}
									System.Collections.Generic.IEnumerable<IDAME_SABTICKINTEG> v_resultado;
								try {
				v_resultado = v_dame_sabtickinteg(p_transaccion, 
					p_company_nif, 
					p_f_descarga_desde, 
					p_f_descarga_hasta, 
					p_f_desde, 
					p_f_hasta, 
					p_estado_integ);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_SABTICKINTEG", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_SABTICKINTEG_P
			 
					public interface IDAME_SABTICKINTEG_P 
{
			int? TICKET_ID { get; }
			DateTime? F_DESCARGA { get; }
			string ESTADO_INTEG { get; }
			string MENSAJE { get; }
			string COMPANY_NIF { get; }
			string TICKET_USER { get; }
			DateTime? EXPENSE_DATE { get; }
			string TIPO_GASTO { get; }
			decimal? TICKET_TOTAL { get; }
			string TICKET_STATUS { get; }
			string TICKET_LABELS { get; }
			string TICKET_NOTES { get; }
			string IMAGE_URL { get; }
			string FORMA_PAGO { get; }
			string GPOFTIP_COD { get; }
			int? N_ORDEN { get; }
			int? N_FASE { get; }
	}
			
			[Nombre("SABBATIC_PKG.DAME_SABTICKINTEG_P")]
						public delegate System.Collections.Generic.IEnumerable<IDAME_SABTICKINTEG_P> __DAME_SABTICKINTEG_P_VDDDDV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(20)] string p_company_nif, 
							[DATE] DateTime? p_f_descarga_desde, 
							[DATE] DateTime? p_f_descarga_hasta, 
							[DATE] DateTime? p_f_desde, 
							[DATE] DateTime? p_f_hasta, 
							[VARCHAR2(4000)] string p_estado_integ);

						/// <summary>
			/// Llama a DAME_SABTICKINTEG_P.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDAME_SABTICKINTEG_P> DAME_SABTICKINTEG_P(
				System.Data.IDbTransaction p_transaccion, 
				string p_company_nif, 
				DateTime? p_f_descarga_desde, 
				DateTime? p_f_descarga_hasta, 
				DateTime? p_f_desde, 
				DateTime? p_f_hasta, 
				string p_estado_integ,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_SABTICKINTEG_P_VDDDDV v_dame_sabtickinteg_p;
				try {
					v_dame_sabtickinteg_p = Funcion.Crear<__DAME_SABTICKINTEG_P_VDDDDV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_SABTICKINTEG_P", ex);
								}
									System.Collections.Generic.IEnumerable<IDAME_SABTICKINTEG_P> v_resultado;
								try {
				v_resultado = v_dame_sabtickinteg_p(p_transaccion, 
					p_company_nif, 
					p_f_descarga_desde, 
					p_f_descarga_hasta, 
					p_f_desde, 
					p_f_hasta, 
					p_estado_integ);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_SABTICKINTEG_P", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DAME_ULT_F_DESCARGA
			
			[Nombre("SABBATIC_PKG.DAME_ULT_F_DESCARGA")]
						[return: DATE]
						public delegate DateTime? __DAME_ULT_F_DESCARGA(
							System.Data.IDbTransaction p_transaccion);

						/// <summary>
			/// Llama a DAME_ULT_F_DESCARGA.
						/// </summary>
			public static DateTime? DAME_ULT_F_DESCARGA(
				System.Data.IDbTransaction p_transaccion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DAME_ULT_F_DESCARGA v_dame_ult_f_descarga;
				try {
					v_dame_ult_f_descarga = Funcion.Crear<__DAME_ULT_F_DESCARGA>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_ULT_F_DESCARGA", ex);
								}
									DateTime? v_resultado;
								try {
				v_resultado = v_dame_ult_f_descarga(p_transaccion);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DAME_ULT_F_DESCARGA", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DETALLE_GPFASES
			 
					public interface IDETALLE_GPFASES 
{
			string EMPGRUPO_COD { get; }
			string EMP_COD { get; }
			string USRNOM_E_MAIL { get; }
			string FASE { get; }
	}
			
			[Nombre("SABBATIC_PKG.DETALLE_GPFASES")]
						public delegate System.Collections.Generic.IEnumerable<IDETALLE_GPFASES> __DETALLE_GPFASES_VV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod);

						/// <summary>
			/// Llama a DETALLE_GPFASES.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDETALLE_GPFASES> DETALLE_GPFASES(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DETALLE_GPFASES_VV v_detalle_gpfases;
				try {
					v_detalle_gpfases = Funcion.Crear<__DETALLE_GPFASES_VV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_GPFASES", ex);
								}
									System.Collections.Generic.IEnumerable<IDETALLE_GPFASES> v_resultado;
								try {
				v_resultado = v_detalle_gpfases(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_GPFASES", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DETALLE_GPFASES_ACTIVAS
			 
					public interface IDETALLE_GPFASES_ACTIVAS 
{
			string EMPGRUPO_COD { get; }
			string EMP_COD { get; }
			string USRNOM_E_MAIL { get; }
			string FASE { get; }
	}
			
			[Nombre("SABBATIC_PKG.DETALLE_GPFASES_ACTIVAS")]
						public delegate System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_ACTIVAS> __DETALLE_GPFASES_ACTIVAS_VV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod);

						/// <summary>
			/// Llama a DETALLE_GPFASES_ACTIVAS.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_ACTIVAS> DETALLE_GPFASES_ACTIVAS(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DETALLE_GPFASES_ACTIVAS_VV v_detalle_gpfases_activas;
				try {
					v_detalle_gpfases_activas = Funcion.Crear<__DETALLE_GPFASES_ACTIVAS_VV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_GPFASES_ACTIVAS", ex);
								}
									System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_ACTIVAS> v_resultado;
								try {
				v_resultado = v_detalle_gpfases_activas(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_GPFASES_ACTIVAS", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DETALLE_GPFASES_ACTIVAS_P
			 
					public interface IDETALLE_GPFASES_ACTIVAS_P 
{
			string EMPGRUPO_COD { get; }
			string EMP_COD { get; }
			string USRNOM_E_MAIL { get; }
			string FASE { get; }
	}
			
			[Nombre("SABBATIC_PKG.DETALLE_GPFASES_ACTIVAS_P")]
						public delegate System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_ACTIVAS_P> __DETALLE_GPFASES_ACTIVAS_P_VV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod);

						/// <summary>
			/// Llama a DETALLE_GPFASES_ACTIVAS_P.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_ACTIVAS_P> DETALLE_GPFASES_ACTIVAS_P(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DETALLE_GPFASES_ACTIVAS_P_VV v_detalle_gpfases_activas_p;
				try {
					v_detalle_gpfases_activas_p = Funcion.Crear<__DETALLE_GPFASES_ACTIVAS_P_VV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_GPFASES_ACTIVAS_P", ex);
								}
									System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_ACTIVAS_P> v_resultado;
								try {
				v_resultado = v_detalle_gpfases_activas_p(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_GPFASES_ACTIVAS_P", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DETALLE_GPFASES_P
			 
					public interface IDETALLE_GPFASES_P 
{
			string EMPGRUPO_COD { get; }
			string EMP_COD { get; }
			string USRNOM_E_MAIL { get; }
			string FASE { get; }
	}
			
			[Nombre("SABBATIC_PKG.DETALLE_GPFASES_P")]
						public delegate System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_P> __DETALLE_GPFASES_P_VV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod);

						/// <summary>
			/// Llama a DETALLE_GPFASES_P.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_P> DETALLE_GPFASES_P(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DETALLE_GPFASES_P_VV v_detalle_gpfases_p;
				try {
					v_detalle_gpfases_p = Funcion.Crear<__DETALLE_GPFASES_P_VV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_GPFASES_P", ex);
								}
									System.Collections.Generic.IEnumerable<IDETALLE_GPFASES_P> v_resultado;
								try {
				v_resultado = v_detalle_gpfases_p(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_GPFASES_P", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region DETALLE_SABTICKINTEG
			 
					public interface IDETALLE_SABTICKINTEG 
{
	}
			
			[Nombre("SABBATIC_PKG.DETALLE_SABTICKINTEG")]
						public delegate System.Collections.Generic.IEnumerable<IDETALLE_SABTICKINTEG> __DETALLE_SABTICKINTEG_VVVDD(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(4000)] string p_estado_integ, 
							[DATE] DateTime? p_f_desde, 
							[DATE] DateTime? p_f_hasta);

						/// <summary>
			/// Llama a DETALLE_SABTICKINTEG.
						/// </summary>
			public static System.Collections.Generic.IEnumerable<IDETALLE_SABTICKINTEG> DETALLE_SABTICKINTEG(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_estado_integ, 
				DateTime? p_f_desde, 
				DateTime? p_f_hasta,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__DETALLE_SABTICKINTEG_VVVDD v_detalle_sabtickinteg;
				try {
					v_detalle_sabtickinteg = Funcion.Crear<__DETALLE_SABTICKINTEG_VVVDD>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_SABTICKINTEG", ex);
								}
									System.Collections.Generic.IEnumerable<IDETALLE_SABTICKINTEG> v_resultado;
								try {
				v_resultado = v_detalle_sabtickinteg(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_estado_integ, 
					p_f_desde, 
					p_f_hasta);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.DETALLE_SABTICKINTEG", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region ESTA_CONTABILIZADO
			
			[Nombre("SABBATIC_PKG.ESTA_CONTABILIZADO")]
						[return: VARCHAR2(4000)]
						public delegate string __ESTA_CONTABILIZADO_VN(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(20)] string p_company_nif, 
							[NUMBER] int? p_ticket_id);

						/// <summary>
			/// Llama a ESTA_CONTABILIZADO.
						/// </summary>
			public static string ESTA_CONTABILIZADO(
				System.Data.IDbTransaction p_transaccion, 
				string p_company_nif, 
				int? p_ticket_id,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__ESTA_CONTABILIZADO_VN v_esta_contabilizado;
				try {
					v_esta_contabilizado = Funcion.Crear<__ESTA_CONTABILIZADO_VN>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.ESTA_CONTABILIZADO", ex);
								}
									string v_resultado;
								try {
				v_resultado = v_esta_contabilizado(p_transaccion, 
					p_company_nif, 
					p_ticket_id);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.ESTA_CONTABILIZADO", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region ES_OPCION
			
			[Nombre("SABBATIC_PKG.ES_OPCION")]
						[return: VARCHAR2(4000)]
						public delegate string __ES_OPCION_VV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string p_lista, 
							[VARCHAR2(4000)] string p_opcion);

						/// <summary>
			/// Llama a ES_OPCION.
						/// </summary>
			public static string ES_OPCION(
				System.Data.IDbTransaction p_transaccion, 
				string p_lista, 
				string p_opcion,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__ES_OPCION_VV v_es_opcion;
				try {
					v_es_opcion = Funcion.Crear<__ES_OPCION_VV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.ES_OPCION", ex);
								}
									string v_resultado;
								try {
				v_resultado = v_es_opcion(p_transaccion, 
					p_lista, 
					p_opcion);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.ES_OPCION", ex);
								}
									return v_resultado;
							}
			
			
			#endregion

					#region GENERA_CONTABILIZA_FACTURA
			
			[Nombre("SABBATIC_PKG.GENERA_CONTABILIZA_FACTURA")]
						public delegate void __GENERA_CONTABILIZA_FACTURA_VVVVVNNVNVVVVVNVVVVVVVVVNoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4)] string p_empgrupo_cod, 
							[VARCHAR2(4)] string p_emp_cod, 
							[VARCHAR2(400)] string p_cfatotip_cod, 
							[VARCHAR2(4)] string p_monedas_cod, 
							[VARCHAR2(4)] string p_moneda_emp, 
							[NUMBER(14, 2)] decimal? p_i_monemp, 
							[NUMBER(14, 2)] decimal? p_i_monext, 
							[VARCHAR2(4)] string p_cfejerc_fac, 
							[NUMBER] decimal? p_ticket_id, 
							[VARCHAR2(4000)] string p_company_nif, 
							[VARCHAR2(4000)] string p_ticket_user, 
							[VARCHAR2(4000)] string p_expense_date, 
							[VARCHAR2(4000)] string p_tipo_gasto, 
							[VARCHAR2(4000)] string p_ticket_currency, 
							[NUMBER] decimal? p_ticket_total, 
							[VARCHAR2(4000)] string p_ticket_impu_json, 
							[VARCHAR2(4000)] string p_prove_nif, 
							[VARCHAR2(4000)] string p_nombre_nif, 
							[VARCHAR2(4000)] string p_ticket_notes, 
							[VARCHAR2(4000)] string p_image_url, 
							[VARCHAR2(4000)] string p_forma_pago, 
							[VARCHAR2(4000)] string p_modalidad_gasto, 
							[VARCHAR2(4000)] string p_ticket_pais, 
							[VARCHAR2(4000)] string p_invoice_number, 
							[NUMBER] decimal? p_ticket_total_euros, 
							[VARCHAR2(4000)] out string p_estado_gasto, 
							[VARCHAR2(4000)] out string p_mensaje_error);

						/// <summary>
			/// Llama a GENERA_CONTABILIZA_FACTURA.
							/// AVISO: El ultimo parametro parece un mensaje a controlar en caso de que
				/// produzca una situacion de error. Recuerda controlarlo o utiliza la versión sobrecargada (sin el
				/// parametro p_mensaje_error) para que se eleve una excepcion de forma automatica.
						/// </summary>
			public static void GENERA_CONTABILIZA_FACTURA(
				System.Data.IDbTransaction p_transaccion, 
				string p_empgrupo_cod, 
				string p_emp_cod, 
				string p_cfatotip_cod, 
				string p_monedas_cod, 
				string p_moneda_emp, 
				decimal? p_i_monemp, 
				decimal? p_i_monext, 
				string p_cfejerc_fac, 
				decimal? p_ticket_id, 
				string p_company_nif, 
				string p_ticket_user, 
				string p_expense_date, 
				string p_tipo_gasto, 
				string p_ticket_currency, 
				decimal? p_ticket_total, 
				string p_ticket_impu_json, 
				string p_prove_nif, 
				string p_nombre_nif, 
				string p_ticket_notes, 
				string p_image_url, 
				string p_forma_pago, 
				string p_modalidad_gasto, 
				string p_ticket_pais, 
				string p_invoice_number, 
				decimal? p_ticket_total_euros, 
				out string p_estado_gasto, 
				out string p_mensaje_error,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__GENERA_CONTABILIZA_FACTURA_VVVVVNNVNVVVVVNVVVVVVVVVNoVoV v_genera_contabiliza_factura;
				try {
					v_genera_contabiliza_factura = Funcion.Crear<__GENERA_CONTABILIZA_FACTURA_VVVVVNNVNVVVVVNVVVVVVVVVNoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.GENERA_CONTABILIZA_FACTURA", ex);
								}
								try {
				v_genera_contabiliza_factura(p_transaccion, 
					p_empgrupo_cod, 
					p_emp_cod, 
					p_cfatotip_cod, 
					p_monedas_cod, 
					p_moneda_emp, 
					p_i_monemp, 
					p_i_monext, 
					p_cfejerc_fac, 
					p_ticket_id, 
					p_company_nif, 
					p_ticket_user, 
					p_expense_date, 
					p_tipo_gasto, 
					p_ticket_currency, 
					p_ticket_total, 
					p_ticket_impu_json, 
					p_prove_nif, 
					p_nombre_nif, 
					p_ticket_notes, 
					p_image_url, 
					p_forma_pago, 
					p_modalidad_gasto, 
					p_ticket_pais, 
					p_invoice_number, 
					p_ticket_total_euros, 
					out p_estado_gasto, 
					out p_mensaje_error);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.GENERA_CONTABILIZA_FACTURA", ex);
								}
							}
			
							/// <summary>
				/// Llama a GENERA_CONTABILIZA_FACTURA y eleva una excepción en caso de error. Utiliza la versión 
				/// sobrecargada (con el parámetro p_mensaje_error) para llamar a la versión original.
				/// </summary>
				public static void GENERA_CONTABILIZA_FACTURA(
					System.Data.IDbTransaction p_transaccion, 
					[VARCHAR2(4)] string p_empgrupo_cod, 
					[VARCHAR2(4)] string p_emp_cod, 
					[VARCHAR2(400)] string p_cfatotip_cod, 
					[VARCHAR2(4)] string p_monedas_cod, 
					[VARCHAR2(4)] string p_moneda_emp, 
					[NUMBER(14, 2)] decimal? p_i_monemp, 
					[NUMBER(14, 2)] decimal? p_i_monext, 
					[VARCHAR2(4)] string p_cfejerc_fac, 
					[NUMBER] decimal? p_ticket_id, 
					[VARCHAR2(4000)] string p_company_nif, 
					[VARCHAR2(4000)] string p_ticket_user, 
					[VARCHAR2(4000)] string p_expense_date, 
					[VARCHAR2(4000)] string p_tipo_gasto, 
					[VARCHAR2(4000)] string p_ticket_currency, 
					[NUMBER] decimal? p_ticket_total, 
					[VARCHAR2(4000)] string p_ticket_impu_json, 
					[VARCHAR2(4000)] string p_prove_nif, 
					[VARCHAR2(4000)] string p_nombre_nif, 
					[VARCHAR2(4000)] string p_ticket_notes, 
					[VARCHAR2(4000)] string p_image_url, 
					[VARCHAR2(4000)] string p_forma_pago, 
					[VARCHAR2(4000)] string p_modalidad_gasto, 
					[VARCHAR2(4000)] string p_ticket_pais, 
					[VARCHAR2(4000)] string p_invoice_number, 
					[NUMBER] decimal? p_ticket_total_euros, 
					[VARCHAR2(4000)] out string p_estado_gasto)
				{
					
					GENERA_CONTABILIZA_FACTURA(p_transaccion, 
						p_empgrupo_cod, 
						p_emp_cod, 
						p_cfatotip_cod, 
						p_monedas_cod, 
						p_moneda_emp, 
						p_i_monemp, 
						p_i_monext, 
						p_cfejerc_fac, 
						p_ticket_id, 
						p_company_nif, 
						p_ticket_user, 
						p_expense_date, 
						p_tipo_gasto, 
						p_ticket_currency, 
						p_ticket_total, 
						p_ticket_impu_json, 
						p_prove_nif, 
						p_nombre_nif, 
						p_ticket_notes, 
						p_image_url, 
						p_forma_pago, 
						p_modalidad_gasto, 
						p_ticket_pais, 
						p_invoice_number, 
						p_ticket_total_euros, 
						out var v_copia_p_estado_gasto,
						out var p_mensaje_error);

					if (!string.IsNullOrEmpty(p_mensaje_error))
											throw new SpyroException(p_mensaje_error, "SABBATIC_PKG.GENERA_CONTABILIZA_FACTURA");
					
											p_estado_gasto = v_copia_p_estado_gasto;
				    					
									}	
			
			#endregion

					#region INSERTAR_DIETA
			
			[Nombre("SABBATIC_PKG.INSERTAR_DIETA")]
						public delegate void __INSERTAR_DIETA_NVVVVVVNNVVNNNoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_ticket_id, 
							[VARCHAR2(4000)] string p_company_nif, 
							[VARCHAR2(4000)] string p_ticket_user, 
							[VARCHAR2(4000)] string p_expense_date, 
							[VARCHAR2(4000)] string p_tipo_gasto, 
							[VARCHAR2(4000)] string p_ticket_total, 
							[VARCHAR2(4000)] string p_ticket_notes, 
							[NUMBER] decimal? p_ticket_mileage, 
							[NUMBER] decimal? p_ticket_mileage_costo, 
							[VARCHAR2(4000)] string p_modalidad_gasto, 
							[VARCHAR2(4000)] string p_gpoftip_cod, 
							[NUMBER] decimal? p_n_orden, 
							[NUMBER] decimal? p_n_fase, 
							[NUMBER] decimal? p_ticket_total_euros, 
							[VARCHAR2(4000)] out string p_estado_integ, 
							[VARCHAR2(4000)] out string p_mensaje_integ);

						/// <summary>
			/// Llama a INSERTAR_DIETA.
						/// </summary>
			public static void INSERTAR_DIETA(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_ticket_id, 
				string p_company_nif, 
				string p_ticket_user, 
				string p_expense_date, 
				string p_tipo_gasto, 
				string p_ticket_total, 
				string p_ticket_notes, 
				decimal? p_ticket_mileage, 
				decimal? p_ticket_mileage_costo, 
				string p_modalidad_gasto, 
				string p_gpoftip_cod, 
				decimal? p_n_orden, 
				decimal? p_n_fase, 
				decimal? p_ticket_total_euros, 
				out string p_estado_integ, 
				out string p_mensaje_integ,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__INSERTAR_DIETA_NVVVVVVNNVVNNNoVoV v_insertar_dieta;
				try {
					v_insertar_dieta = Funcion.Crear<__INSERTAR_DIETA_NVVVVVVNNVVNNNoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.INSERTAR_DIETA", ex);
								}
								try {
				v_insertar_dieta(p_transaccion, 
					p_ticket_id, 
					p_company_nif, 
					p_ticket_user, 
					p_expense_date, 
					p_tipo_gasto, 
					p_ticket_total, 
					p_ticket_notes, 
					p_ticket_mileage, 
					p_ticket_mileage_costo, 
					p_modalidad_gasto, 
					p_gpoftip_cod, 
					p_n_orden, 
					p_n_fase, 
					p_ticket_total_euros, 
					out p_estado_integ, 
					out p_mensaje_integ);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.INSERTAR_DIETA", ex);
								}
							}
			
			
			#endregion

					#region INTEGRACION_SPYRO_SABBATIC
			
			[Nombre("SABBATIC_PKG.INTEGRACION_SPYRO_SABBATIC")]
						public delegate void __INTEGRACION_SPYRO_SABBATIC_N(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_lista);

						/// <summary>
			/// Llama a INTEGRACION_SPYRO_SABBATIC.
						/// </summary>
			public static void INTEGRACION_SPYRO_SABBATIC(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_lista,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__INTEGRACION_SPYRO_SABBATIC_N v_integracion_spyro_sabbatic;
				try {
					v_integracion_spyro_sabbatic = Funcion.Crear<__INTEGRACION_SPYRO_SABBATIC_N>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.INTEGRACION_SPYRO_SABBATIC", ex);
								}
								try {
				v_integracion_spyro_sabbatic(p_transaccion, 
					p_lista);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.INTEGRACION_SPYRO_SABBATIC", ex);
								}
							}
			
			
			#endregion

					#region INTEG_GASTO
			
			[Nombre("SABBATIC_PKG.INTEG_GASTO")]
						public delegate void __INTEG_GASTO_NVVVVVNVVVVVVVVVNoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_ticket_id, 
							[VARCHAR2(4000)] string p_company_nif, 
							[VARCHAR2(4000)] string p_ticket_user, 
							[VARCHAR2(4000)] string p_expense_date, 
							[VARCHAR2(4000)] string p_tipo_gasto, 
							[VARCHAR2(4000)] string p_ticket_currency, 
							[NUMBER] decimal? p_ticket_total, 
							[VARCHAR2(4000)] string p_ticket_impu_json, 
							[VARCHAR2(4000)] string p_prove_nif, 
							[VARCHAR2(4000)] string p_nombre_nif, 
							[VARCHAR2(4000)] string p_ticket_notes, 
							[VARCHAR2(4000)] string p_image_url, 
							[VARCHAR2(4000)] string p_forma_pago, 
							[VARCHAR2(4000)] string p_modalidad_gasto, 
							[VARCHAR2(4000)] string p_ticket_pais, 
							[VARCHAR2(4000)] string p_invoice_number, 
							[NUMBER] decimal? p_ticket_total_euros, 
							[VARCHAR2(4000)] out string p_estado_gasto, 
							[VARCHAR2(4000)] out string p_mensaje_error);

						/// <summary>
			/// Llama a INTEG_GASTO.
							/// AVISO: El ultimo parametro parece un mensaje a controlar en caso de que
				/// produzca una situacion de error. Recuerda controlarlo o utiliza la versión sobrecargada (sin el
				/// parametro p_mensaje_error) para que se eleve una excepcion de forma automatica.
						/// </summary>
			public static void INTEG_GASTO(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_ticket_id, 
				string p_company_nif, 
				string p_ticket_user, 
				string p_expense_date, 
				string p_tipo_gasto, 
				string p_ticket_currency, 
				decimal? p_ticket_total, 
				string p_ticket_impu_json, 
				string p_prove_nif, 
				string p_nombre_nif, 
				string p_ticket_notes, 
				string p_image_url, 
				string p_forma_pago, 
				string p_modalidad_gasto, 
				string p_ticket_pais, 
				string p_invoice_number, 
				decimal? p_ticket_total_euros, 
				out string p_estado_gasto, 
				out string p_mensaje_error,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__INTEG_GASTO_NVVVVVNVVVVVVVVVNoVoV v_integ_gasto;
				try {
					v_integ_gasto = Funcion.Crear<__INTEG_GASTO_NVVVVVNVVVVVVVVVNoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.INTEG_GASTO", ex);
								}
								try {
				v_integ_gasto(p_transaccion, 
					p_ticket_id, 
					p_company_nif, 
					p_ticket_user, 
					p_expense_date, 
					p_tipo_gasto, 
					p_ticket_currency, 
					p_ticket_total, 
					p_ticket_impu_json, 
					p_prove_nif, 
					p_nombre_nif, 
					p_ticket_notes, 
					p_image_url, 
					p_forma_pago, 
					p_modalidad_gasto, 
					p_ticket_pais, 
					p_invoice_number, 
					p_ticket_total_euros, 
					out p_estado_gasto, 
					out p_mensaje_error);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.INTEG_GASTO", ex);
								}
							}
			
							/// <summary>
				/// Llama a INTEG_GASTO y eleva una excepción en caso de error. Utiliza la versión 
				/// sobrecargada (con el parámetro p_mensaje_error) para llamar a la versión original.
				/// </summary>
				public static void INTEG_GASTO(
					System.Data.IDbTransaction p_transaccion, 
					[NUMBER] decimal? p_ticket_id, 
					[VARCHAR2(4000)] string p_company_nif, 
					[VARCHAR2(4000)] string p_ticket_user, 
					[VARCHAR2(4000)] string p_expense_date, 
					[VARCHAR2(4000)] string p_tipo_gasto, 
					[VARCHAR2(4000)] string p_ticket_currency, 
					[NUMBER] decimal? p_ticket_total, 
					[VARCHAR2(4000)] string p_ticket_impu_json, 
					[VARCHAR2(4000)] string p_prove_nif, 
					[VARCHAR2(4000)] string p_nombre_nif, 
					[VARCHAR2(4000)] string p_ticket_notes, 
					[VARCHAR2(4000)] string p_image_url, 
					[VARCHAR2(4000)] string p_forma_pago, 
					[VARCHAR2(4000)] string p_modalidad_gasto, 
					[VARCHAR2(4000)] string p_ticket_pais, 
					[VARCHAR2(4000)] string p_invoice_number, 
					[NUMBER] decimal? p_ticket_total_euros, 
					[VARCHAR2(4000)] out string p_estado_gasto)
				{
					
					INTEG_GASTO(p_transaccion, 
						p_ticket_id, 
						p_company_nif, 
						p_ticket_user, 
						p_expense_date, 
						p_tipo_gasto, 
						p_ticket_currency, 
						p_ticket_total, 
						p_ticket_impu_json, 
						p_prove_nif, 
						p_nombre_nif, 
						p_ticket_notes, 
						p_image_url, 
						p_forma_pago, 
						p_modalidad_gasto, 
						p_ticket_pais, 
						p_invoice_number, 
						p_ticket_total_euros, 
						out var v_copia_p_estado_gasto,
						out var p_mensaje_error);

					if (!string.IsNullOrEmpty(p_mensaje_error))
											throw new SpyroException(p_mensaje_error, "SABBATIC_PKG.INTEG_GASTO");
					
											p_estado_gasto = v_copia_p_estado_gasto;
				    					
									}	
			
			#endregion

					#region SABTICKINTEG_PROCESAR
			
			[Nombre("SABBATIC_PKG.SABTICKINTEG_PROCESAR")]
						public delegate void __SABTICKINTEG_PROCESAR_VoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[VARCHAR2(4000)] string p_ticket_id, 
							[VARCHAR2(4000)] out string p_estado_integ, 
							[VARCHAR2(4000)] out string p_mensaje_integ);

						/// <summary>
			/// Llama a SABTICKINTEG_PROCESAR.
						/// </summary>
			public static void SABTICKINTEG_PROCESAR(
				System.Data.IDbTransaction p_transaccion, 
				string p_ticket_id, 
				out string p_estado_integ, 
				out string p_mensaje_integ,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__SABTICKINTEG_PROCESAR_VoVoV v_sabtickinteg_procesar;
				try {
					v_sabtickinteg_procesar = Funcion.Crear<__SABTICKINTEG_PROCESAR_VoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.SABTICKINTEG_PROCESAR", ex);
								}
								try {
				v_sabtickinteg_procesar(p_transaccion, 
					p_ticket_id, 
					out p_estado_integ, 
					out p_mensaje_integ);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.SABTICKINTEG_PROCESAR", ex);
								}
							}
			
			
			#endregion

					#region TICKET_INTEGRAR
			
			[Nombre("SABBATIC_PKG.TICKET_INTEGRAR")]
						public delegate void __TICKET_INTEGRAR_NDVVVVVVNVVVVVVVVNNVNNVVNoVoV(
							System.Data.IDbTransaction p_transaccion, 
							[NUMBER] decimal? p_ticket_id, 
							[DATE] DateTime? p_f_descarga, 
							[VARCHAR2(4000)] string p_company_nif, 
							[VARCHAR2(4000)] string p_ticket_user, 
							[VARCHAR2(4000)] string p_expense_date, 
							[VARCHAR2(4000)] string p_modalidad_gasto, 
							[VARCHAR2(4000)] string p_tipo_gasto, 
							[VARCHAR2(4000)] string p_ticket_currency, 
							[NUMBER] decimal? p_ticket_total, 
							[VARCHAR2(4000)] string p_ticket_impu_json, 
							[VARCHAR2(4000)] string p_prove_nif, 
							[VARCHAR2(4000)] string p_nombre_nif, 
							[VARCHAR2(4000)] string p_ticket_status, 
							[VARCHAR2(4000)] string p_ticket_labels, 
							[VARCHAR2(4000)] string p_ticket_notes, 
							[VARCHAR2(4000)] string p_image_url, 
							[VARCHAR2(4000)] string p_forma_pago, 
							[NUMBER] decimal? p_ticket_mileage, 
							[NUMBER] decimal? p_ticket_mileage_costo, 
							[VARCHAR2(4000)] string p_gpoftip_cod, 
							[NUMBER] decimal? p_n_orden, 
							[NUMBER] decimal? p_n_fase, 
							[VARCHAR2(4000)] string p_ticket_pais, 
							[VARCHAR2(4000)] string p_invoice_number, 
							[NUMBER] decimal? p_ticket_total_euros, 
							[VARCHAR2(4000)] out string p_estado_integ, 
							[VARCHAR2(4000)] out string p_mensaje_integ);

						/// <summary>
			/// Llama a TICKET_INTEGRAR.
						/// </summary>
			public static void TICKET_INTEGRAR(
				System.Data.IDbTransaction p_transaccion, 
				decimal? p_ticket_id, 
				DateTime? p_f_descarga, 
				string p_company_nif, 
				string p_ticket_user, 
				string p_expense_date, 
				string p_modalidad_gasto, 
				string p_tipo_gasto, 
				string p_ticket_currency, 
				decimal? p_ticket_total, 
				string p_ticket_impu_json, 
				string p_prove_nif, 
				string p_nombre_nif, 
				string p_ticket_status, 
				string p_ticket_labels, 
				string p_ticket_notes, 
				string p_image_url, 
				string p_forma_pago, 
				decimal? p_ticket_mileage, 
				decimal? p_ticket_mileage_costo, 
				string p_gpoftip_cod, 
				decimal? p_n_orden, 
				decimal? p_n_fase, 
				string p_ticket_pais, 
				string p_invoice_number, 
				decimal? p_ticket_total_euros, 
				out string p_estado_integ, 
				out string p_mensaje_integ,
				Funcion.Config _p_config = null)
			{
				var v_conexion = p_transaccion.Connection;
				__TICKET_INTEGRAR_NDVVVVVVNVVVVVVVVNNVNNVVNoVoV v_ticket_integrar;
				try {
					v_ticket_integrar = Funcion.Crear<__TICKET_INTEGRAR_NDVVVVVVNVVVVVVVVNNVNNVVNoVoV>(v_conexion, _p_config);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.TICKET_INTEGRAR", ex);
								}
								try {
				v_ticket_integrar(p_transaccion, 
					p_ticket_id, 
					p_f_descarga, 
					p_company_nif, 
					p_ticket_user, 
					p_expense_date, 
					p_modalidad_gasto, 
					p_tipo_gasto, 
					p_ticket_currency, 
					p_ticket_total, 
					p_ticket_impu_json, 
					p_prove_nif, 
					p_nombre_nif, 
					p_ticket_status, 
					p_ticket_labels, 
					p_ticket_notes, 
					p_image_url, 
					p_forma_pago, 
					p_ticket_mileage, 
					p_ticket_mileage_costo, 
					p_gpoftip_cod, 
					p_n_orden, 
					p_n_fase, 
					p_ticket_pais, 
					p_invoice_number, 
					p_ticket_total_euros, 
					out p_estado_integ, 
					out p_mensaje_integ);
				}
				catch (Exception ex) {
									throw new SpyroException(ex.Message, "SABBATIC_PKG.TICKET_INTEGRAR", ex);
								}
							}
			
			
			#endregion

			}
}